com.jscape.inet.sftp

## Class Sftp.SftpPipedOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.PipedOutputStream
    - - com.jscape.inet.sftp.Sftp.SftpPipedOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable, java.lang.Runnable
  Enclosing class:
    Sftp

      public static class Sftp.SftpPipedOutputStream
      extends java.io.PipedOutputStream
      implements java.lang.Runnable

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `void` | `run()`
    `static Sftp.SftpPipedOutputStream` | `streamFor(Sftp transfer, java.lang.String remoteFile, long offset, long length)`
    `void` | `write(byte[] data, int offset, int length)`
    `void` | `write(int data)`

    - ### Methods inherited from class java.io.PipedOutputStream

      `connect`

    - ### Methods inherited from class java.io.OutputStream

      `write`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### streamFor

          public static Sftp.SftpPipedOutputStream streamFor(Sftp transfer,
                                                             java.lang.String remoteFile,
                                                             long offset,
                                                             long length)
                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### write

          public void write(int data)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.PipedOutputStream`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(byte[] data,
                            int offset,
                            int length)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.PipedOutputStream`
      Throws:
        `java.io.IOException`

    - #### flush

          public void flush()
                     throws java.io.IOException

      Specified by:
        `flush` in interface `java.io.Flushable`
      Overrides:
        `flush` in class `java.io.PipedOutputStream`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.PipedOutputStream`
      Throws:
        `java.io.IOException`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved